Autor Tópico: Dica para os beta testers: Usando os Add-ons do Firefox 2 no Firefox 3  (Lida 2100 vezes)

Offline gabriel0085

  • Usuário Ubuntu
  • *
  • Mensagens: 577
    • Ver perfil
Pra quem não sabe já há uma versão beta do Firefox 3 disponível para download:

Mozilla libera download do primeiro beta público do browser Firefox 3
http://ubuntuforum-br.org/index.php/topic,28329.0.html






Usando os complementos do Firefox 2 no Firefox 3


Resolvi instalar e testar o Firefox 3 no meu desktop (”sudo aptitude install firefox-3.0“) que funciona tranquilamente em paralelo com o meu firefox 2.0 normal. Contudo os complementos não funcionaram.

É bem verdade que não sou chegado aquele monte de tranquera disponível no site, mas como gosto de usar o gtranslate no apoio às traduções, fui verificar como resolver esse problema. Ele fica indicando que não é compatível com a versão.

Abrindo o pacote do complemento (neste caso o gtranslate-0.3.1-fx.xpi), que é um arquivo ZIP, encontrei o arquivo que controla a versão(”install.rdf”), que é um arquivo XML.

Em seguida, abri com um edito amigável (o vim) e alterei o campo “em:maxVersion” para um valor aceitável, eu usei o “3.2.0.*”

Salvei ele de volta no pacote .xpi e tentei instala-lo.

Não é que o bicho funcionou? Na verdade não deu problema pois o complemento no caso, pois não tem nenhuma dependência mais complexa, mas isso deve funcionar em muitos dos outros complementos existentes.



Autor: cardo Cropalato

Fonte: http://blog.cropalato.com.br/?p=16